Subject: Problems building dlls with cygwin
From: [email-masked] ("wiljan")

4 Dec 1996 12:07:01 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Once more I whould like to report that I have big trouble building
dlls with b16.
I first tried to build the dll using the dlltool from cygnus and I was not
able to get things working.
Then I switched using the linker from MS VC V4.0.
That allowed me to link dlls to gether, but they where also incorrect.
I am 100% sure that the initialised data sections did not get to the place
where they should be.
At this point I was getting pretty deperate.
I finally got it working when I switched the assembler.
That means I now use as.exe from gnat304a (done by LABTEK)
and link the dlls using the microsoft linker.
That gives me working dlls right now.

Does someone have an idea what is wrong with as, ld or dlltool.

Has someone build dlls successfully and used them from another application.
Did you check the dll with quickview ? I usually get a lot of
rubbish reported when using that command.

Wiljan
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".